﻿using System;
using WpfOsi.BaseClasses;

namespace WpfOsi.Workspace
{
    public class StatusWorkspace:ViewModelBase
    {
        public StatusWorkspace()
        { LastMessage = "Welcome to OSI (Operational Setup Instruction)"; }

        private string _lastMessage;
        public string LastMessage
        {
            get { return _lastMessage; }
            set { _lastMessage = value; RaisePropertyChanged(); }
        }
        private string _currentUsername = Environment.UserName;
        public string CurrentUsername
        {
            get { return _currentUsername; }
            set { _currentUsername = value; RaisePropertyChanged(); }
        }
    }
}
